Subject: Re: draft-ietf-conneg-content-features-00.txt

From: Graham Klyne <[email-masked]>
Date: Fri, 19 Feb 1999 19:02:51 +0000

Tamura-san,

Thank you for spotting my error.

The example was modified from a receiver capabilities expression (where
indicating multiple resolutions is reasonable), and I missed the fact that
this was not really appropriate for describing a TIFF image.

I have changed the example to read "(dpi-xyratio=200/100)".

Your observation does raise a deeper question:  if the two subfiles use
different resolutions (e.g. cover page 200x100 and body 200x200), then how
should this be treated?  I can offer two possible answers:

(1) Use two separate 'Content-feature:' headers, each indicating a
different resolution.  These would all need to be matched by the recipient
capabilities if successful processing of the message were to be achieved,
but would not indicate which body part assumed what receiver capabilities.

(2) Apply the 'Content-feature:' headers directly to the individual body
parts.  In this case, the semantoics are clearer, but it could lead to
unnecessary duplication of information (e.g. a message with several TIFF
images all using the same capabilities.

#g
--

At 15:24 19/02/99 +0900, Hiroshi Tamura wrote:
>Question.
>
>[[[Begin quote]]]
>
>4.2 Fax message
>
>     Mime-Version: 1.0
>     Content-type: multipart/fax-message;boundary=break
>     Content-features:
>       (& (Type=image/tiff)
>          (color=Binary)
>          (image-file-structure=TIFF-S)
>          (dpi=200)
>          (dpi-xyratio=[200/100,200/200])
>          (paper-size=A4)
>          (image-coding=MH) (MRC-mode=0)
>          (ua-media=stationery) )
>
>     --break
>     Content-Type: image/tiff; fax-coverpage=yes;name="coverpage.tiff"
>     Content-Transfer-Encoding: base64
>     Content-Description: This part is a coverpage
>     Content-Disposition: attachment; filename="coverpage.tiff"
>
>     0M8R4KGxGuEAAAAAAAAAAAAAAAAAAAAAPgADAP7/CQAGAAAAAAAAAAAAAAAB
>     AAAAAQAAAAAAAAAAEAAAZAAAAAEAAAD+////AAAAAAAAAAD/////////////
>      :
>     (more data)
>      :
>     --break
>     Content-Type: image/tiff; name="document.tiff"
>     Content-Transfer-Encoding: base64
>     Content-Disposition: attachment; filename="document.tiff"
>
>     AAAADgAAAA8AAAAQAAAAEQAAABIAAAATAAAAFAAAABUAAAAWAAAAFwAAABgA
>     AAAZAAAAGgAAABsAAAAcAAAAHQAAAB4AAAAfAAAAIAAAACEAAAAiAAAAIwAA
>      :
>     (more data)
>      :
>     --break--
>
>[[[End quote]]]
>
>The content of this "Content-features:" indicates the information
>of "coverpage.tiff" and "document.tiff", is it right ?
>
>If so, why are there two values([200/100,200/200]) in dpi-xyratio ?
>Which value is applied in these 2 tiff files ?
>
>Or capabilites ?
>
>My misunderstanding ?
>
>--
>Hiroshi Tamura, Ricoh Company, LTD.
>Mail: [email-masked]
>Tel: +81-462-28-7459  Fax: +81-462-28-7500 (SUB/F-code 5727)
>
>